Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.stats
Class StatisticsCollector

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.varia.stats.StatisticsCollector

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, StatisticsCollectorMBean

public class StatisticsCollector
extends org.jboss.system.ServiceMBeanSupport
implements StatisticsCollectorMBean

Version:
  `$Revision: 1.2 $`
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.varia.stats.StatisticsCollectorMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`StatisticsCollector()`

Method Summary
`void` | `addStatisticalItem(StatisticalItem item)`
`void` | `clearStatistics()`
`void` | `registerReportGenerator(ReportGenerator reportGenerator)`
`String` | `reports()`
`Iterator` | `reportsIterator()`
`TxStatistics` | `txStatistics()`
`void` | `unregisterReportGenerator(ReportGenerator reportGenerator)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### StatisticsCollector

    public StatisticsCollector()

Method Detail

### registerReportGenerator

    public void registerReportGenerator(ReportGenerator reportGenerator)

  Specified by:
    `registerReportGenerator` in interface `StatisticsCollectorMBean`

### unregisterReportGenerator

    public void unregisterReportGenerator(ReportGenerator reportGenerator)

  Specified by:
    `unregisterReportGenerator` in interface `StatisticsCollectorMBean`

### clearStatistics

    public void clearStatistics()

  Specified by:
    `clearStatistics` in interface `StatisticsCollectorMBean`

### addStatisticalItem

    public void addStatisticalItem(StatisticalItem item)

  Specified by:
    `addStatisticalItem` in interface `StatisticsCollectorMBean`

### reportsIterator

    public Iterator reportsIterator()

  Specified by:
    `reportsIterator` in interface `StatisticsCollectorMBean`

### txStatistics

    public TxStatistics txStatistics()

  Specified by:
    `txStatistics` in interface `StatisticsCollectorMBean`

### reports

    public String reports()

  Specified by:
    `reports` in interface `StatisticsCollectorMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.